Apply by doing:
	cd /usr/src
	patch -p0 < 033_uucp.patch

And then rebuild and install uucp:
	cd gnu/libexec/uucp
	make obj
	make depend
	make
	make install

You should also update /etc/daily:
	cp /usr/src/etc/daily /etc/daily

If you have local modifications to /etc/daily you may just want to
edit it directly and change the line specified in the patch below.

Index: etc/daily
===================================================================
RCS file: /cvs/src/etc/daily,v
retrieving revision 1.33
retrieving revision 1.33.2.1
diff -u -r1.33 -r1.33.2.1
--- etc/daily	2000/05/26 17:44:33	1.33
+++ etc/daily	2001/09/09 21:45:47	1.33.2.1
@@ -151,7 +151,7 @@
 fi
 
 if [ -d /var/spool/uucp ]; then
-	uustat -a > $TMP
+	echo uustat -a | su -m uucp > $TMP
 	if [ -s $TMP ]; then
 		echo ""
 		echo "uucp:"
Index: gnu/libexec/uucp/uuxqt/uuxqt.c
===================================================================
RCS file: /cvs/src/gnu/libexec/uucp/uuxqt/uuxqt.c,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 uuxqt.c
--- gnu/libexec/uucp/uuxqt/uuxqt.c	1995/10/18 08:38:45	1.1.1.1
+++ gnu/libexec/uucp/uuxqt/uuxqt.c	2001/09/12 02:46:59
@@ -928,6 +928,44 @@
 	 don't permit multiple arguments.  */
       for (i = 1; azQargs[i] != NULL; i++)
 	{
+	  if (azQargs[i][0] == '-' && azQargs[i][1] == '-')
+	    {
+		char *zopts = azQargs[i] + 2;
+
+		/* The -g, -n, and -s options take an argument.  */
+		if (!strncmp(zopts, "grade", 5) && zopts[5] != '=')
+		  {
+		    if (azQargs[i+1] != NULL)
+		      ++i;
+		  }
+		if (!(strncmp(zopts, "notify", 6)
+		&&    strncmp(zopts, "status", 6)) && zopts[6] != '=')
+		  {
+		    if (azQargs[i+1] != NULL)
+		      ++i;
+		  }
+
+		/* The -I, -u and -x options are not permitted.  */
+		if (!strncmp(zopts, "config", 6))
+		  {
+		    if (zopts[6] != '=' && azQargs[i+1] != NULL)
+		      ++i;
+		    azQargs[i] = zbufcpy ("--nouucico");
+		  }
+		if (!strncmp(zopts, "user", 4))
+		  {
+		    if (zopts[4] != '=' && azQargs[i+1] != NULL)
+		      ++i;
+		    azQargs[i] = zbufcpy ("--nouucico");
+		  }
+		if (!strncmp(zopts, "debug", 5))
+		  {
+		    if (zopts[5] != '=' && azQargs[i+1] != NULL)
+		      ++i;
+		    azQargs[i] = zbufcpy ("--nouucico");
+		  }
+	    }
+	  else
 	  if (azQargs[i][0] == '-')
 	    {
 	      char *zopts;
